FANDOM


Bethesda-creation-kit.pngOblivion Script Extender
タイプ スクリプト拡張、改造
Description The Elder Scrolls IV: Oblivion のスクリプトを拡張するライブラリ。
バージョン 0.0.21 beta (v0021)
製作者 Ian Patterson (ianpatt), Stephen Abel (behippo), Paul Connelly (scruggsywuggsy the ferret)
Download
Oblivion Script Extender
(OBSE)
有用なリンク
OblivionのMod使用法
·

Oblivion Script Extender (オブリビオン・スクリプト・エクステンダー、OBSE) はThe Elder Scrolls IV: Oblivion のスクリプトを拡張するライブラリ。略称 OBSEThe Elder Scrolls V: Skyrim のスクリプトを拡張するmodSkyrim Script Extender (SKSE) と同じ人が開発し、それと同時に SKSEの The Elder Scrolls IV: Oblivion 対応バージョンでもある。

このOBSE単体をインストールしただけでは The Elder Scrolls IV: Oblivion には何も変化が起きない。このOBSEに対応した Mod を導入して初めてこのOBSEが機能する。Mod にはこのOBSEを必要とするものがあり、この OBSE がなければそのModは正しく動作しない。

特徴 編集


インストール 編集

  • DLLという形で、OBSEに対応したプラグインを mod として提供することができる。がインストールされているディレクトリ 64bits版Windowsならば通常は以下のディレクトリ
C:\Program Files (x86)\Bethesda Softworks\Oblivion

に次のファイルとディレクトリをコピーする。 実際にコピーするのは、.exe ファイル、.dll ファイルのみである。

インストールに必要なOBSEのファイル
パス ファイル 解説
obse_loader.exe SKSE本体起動ファイル。SKSEを利用するには TESV.exe の代わりにこのファイルを起動する。
obse_1_2_416.dll DLL (ダイナミックリンクライブラリ) ファイル。後ろの数字は、多くの場合、Oblivion公式パッチのバージョンに対応している。よって新しいOBSEが導入された場合、このファイル名が変更されることがある。
obse_steam_loader.dll SteamThe Elder Scrolls IV: Oblivionでプレイする場合は必須。

アップデート 編集

すでに OBSE をインストールしていれば、再び新しいバージョンのOBSEをインストールするときは多くの場合、そのまま上書きするだけでアップデートが完了する。 その際、obse_x_x_x.dll という名の古いバージョンのDLLファイルが残るが、万一不具合が発生して旧バージョンに戻すことをしない限り削除しても構わない。

使用法 編集

  • OBSE に対応した mod とプラグインをインストールしてから obse_loader.exe を起動してThe Elder Scrolls IV: Oblivion をプレイする。

プラグイン 編集

OBSEでは Modderプラグインという形でDLLファイルを Mod として提供することができる。このような Mod はThe Elder Scrolls IV: Oblivion がインストールされているディレクトリ に Data\OBSE\Plugins というディレクトリを作成して、そのディレクトリの中にdllファイルをコピーする。これによって、obse_loader.exe 経由で The Elder Scrolls IV: Oblivion を起動すればこの mod は有効になる。

互換性 編集

  • Oblivion公式パッチが更新された場合やDLC が導入されている場合は、OBSEもそれに対応しないと正しく動作しないことがあった。そのときはOBSEが更新されるのを待つか諦めるしかなかった。2012年9月9日 (日) 14:14 (UTC)の時点では Oblivion公式パッチもOBSEの更新も数年ほど止まっており、そのような心配は長らく存在していない。
  • Nexus Mod ManagerWrye Bash から The Elder Scrolls IV: Oblivion を起動するときも、このSKSE (obse_loader.exe) 経由で起動することができる。
  • BOSSにも対応しており、OBSEのバージョン情報やOBSEプラグインのバージョン情報などを表示してくれる。

トリビア 編集

関連項目 編集

外部リンク 編集

広告ブロッカーが検出されました。


広告収入で運営されている無料サイトWikiaでは、このたび広告ブロッカーをご利用の方向けの変更が加わりました。

広告ブロッカーが改変されている場合、Wikiaにアクセスしていただくことができなくなっています。カスタム広告ブロッカーを解除してご利用ください。

FANDOMでも見てみる

おまかせWiki